﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls.GanttView;

namespace GanttMilitaryDates
{
    public class CustomGanttTask : GanttTask
    {
        public CustomGanttTask(int dEndDeviation, int dStartDeviation, string title)
            : base()
        {
            this.dEndDeviation = dEndDeviation;
            this.dStartDeviation = dStartDeviation;
            this.Title = title;

            this.Duration = new TimeSpan(this.dEndDeviation - this.dStartDeviation, 0, 0, 0);
        }

        private int dStartDeviation;
        public int DStartDeviation
        {
            get
            {
                return this.dStartDeviation;
            }
            set
            {
                if (this.dStartDeviation != value)
                {
                    this.dStartDeviation = value;
                    this.OnPropertyChanged(() => this.DStartDeviation);
                }
            }
        }

        private int dEndDeviation;
        public int DEndDeviation
        {
            get
            {
                return this.dEndDeviation;
            }
            set
            {
                if (this.dEndDeviation != value)
                {
                    this.dEndDeviation = value;
                    this.OnPropertyChanged(() => this.DEndDeviation);
                }
            }
        }

        public void SetStartEndByDDate(DateTime dDate)
        {
            this.Start = dDate.AddDays(this.DStartDeviation);
            this.End = dDate.AddDays(this.DEndDeviation);
        }
    }
}
