﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls.GanttView;

namespace GanttMilitaryDates
{
    public class SoftwarePlanning : ObservableCollection<IGanttTask>
    {
        public SoftwarePlanning()
        {
            var scopeTaskChild1 = new CustomGanttTask(5, -3, "Determine project scope") { Deadline = new DateTime(2012, 1, 5, 14, 0, 0), Description = "Description: Determine project scope" };

            var scopeTaskChild2 = new CustomGanttTask(8, 5, "Secure project sponsorship") { Deadline = new DateTime(2012, 1, 5, 15, 0, 0), Description = "Description: Secure project sponsorship" };
            var scopeTaskChild3 = new CustomGanttTask(6, -5, "Define preliminary resources") { Deadline = new DateTime(2012, 1, 6, 14, 0, 0), Description = "Description: Define preliminary resources" };
            var scopeTaskChild4 = new CustomGanttTask(4, 1, "Secure core resources") { Deadline = new DateTime(2012, 1, 7, 0, 0, 0), Description = "Description: Secure core resources" };
            var scopeTaskChild5 = new CustomGanttTask(7, 2, "Scope complete") { Description = "Description: Scope complete" };

            scopeTaskChild2.Dependencies.Add(new Dependency { FromTask = scopeTaskChild1 });
            scopeTaskChild3.Dependencies.Add(new Dependency { FromTask = scopeTaskChild2 });
            scopeTaskChild4.Dependencies.Add(new Dependency { FromTask = scopeTaskChild3 });
            scopeTaskChild5.Dependencies.Add(new Dependency { FromTask = scopeTaskChild4 });

            var scopeTask = new CustomGanttTask(8, -5, "Scope")
            {
                Children = { scopeTaskChild1, scopeTaskChild2, scopeTaskChild3, scopeTaskChild4, scopeTaskChild5 },
                Description = "Description: Determine project scope",
                Deadline = new DateTime(2012, 1, 8, 8, 0, 0)
            };
            this.Add(scopeTask);
        }
    }
}
